## com.google.gwt.dom.client
Class FrameElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.FrameElement

    public class FrameElement

extends Element

Create a frame.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` `FrameElement()`

Method Summary
`static FrameElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`Document` `getContentDocument()` The document this frame contains, if there is any and it is available, or null otherwise.
`int` `getFrameBorder()` Request frame borders.
`java.lang.String` `getLongDesc()` URI designating a long description of this image or frame.
`int` `getMarginHeight()` Frame margin height, in pixels.
`int` `getMarginWidth()` Frame margin width, in pixels.
`java.lang.String` `getName()` The frame name (object of the target attribute).
`java.lang.String` `getScrolling()` Specify whether or not the frame should have scrollbars.
`java.lang.String` `getSrc()` A URI designating the initial frame contents.
`boolean` `isNoResize()` When true, forbid user from resizing frame.
`void` `setFrameBorder(int frameBorder)` Request frame borders.
`void` `setLongDesc(java.lang.String longDesc)` URI designating a long description of this image or frame.
`void` `setMarginHeight(int marginHeight)` Frame margin height, in pixels.
`void` `setMarginWidth(int marginWidth)` Frame margin width, in pixels.
`void` `setName(java.lang.String name)` The frame name (object of the target attribute).
`void` `setNoResize(boolean noResize)` When true, forbid user from resizing frame.
`void` `setScrolling(java.lang.String scrolling)` Specify whether or not the frame should have scrollbars.
`void` `setSrc(java.lang.String src)` A URI designating the initial frame contents.

Methods inherited from class com.google.gwt.dom.client.Element

`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameElement

    protected FrameElement()

Method Detail

### as

    public static FrameElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getContentDocument

    public final Document getContentDocument()

  The document this frame contains, if there is any and it is available, or null otherwise.

### getFrameBorder

    public final int getFrameBorder()

  Request frame borders.

  See Also:
    W3C HTML Specification

### getLongDesc

    public final java.lang.String getLongDesc()

  URI designating a long description of this image or frame.

  See Also:
    W3C HTML Specification

### getMarginHeight

    public final int getMarginHeight()

  Frame margin height, in pixels.

  See Also:
    W3C HTML Specification

### getMarginWidth

    public final int getMarginWidth()

  Frame margin width, in pixels.

  See Also:
    W3C HTML Specification

### getName

    public final java.lang.String getName()

  The frame name (object of the target attribute).

  See Also:
    W3C HTML Specification

### getScrolling

    public final java.lang.String getScrolling()

  Specify whether or not the frame should have scrollbars.

  See Also:
    W3C HTML Specification

### getSrc

    public final java.lang.String getSrc()

  A URI designating the initial frame contents.

  See Also:
    W3C HTML Specification

### isNoResize

    public final boolean isNoResize()

  When true, forbid user from resizing frame.

  See Also:
    W3C HTML Specification

### setFrameBorder

    public final void setFrameBorder(int frameBorder)

  Request frame borders.

  See Also:
    W3C HTML Specification

### setLongDesc

    public final void setLongDesc(java.lang.String longDesc)

  URI designating a long description of this image or frame.

  See Also:
    W3C HTML Specification

### setMarginHeight

    public final void setMarginHeight(int marginHeight)

  Frame margin height, in pixels.

  See Also:
    W3C HTML Specification

### setMarginWidth

    public final void setMarginWidth(int marginWidth)

  Frame margin width, in pixels.

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  The frame name (object of the target attribute).

  See Also:
    W3C HTML Specification

### setNoResize

    public final void setNoResize(boolean noResize)

  When true, forbid user from resizing frame.

  See Also:
    W3C HTML Specification

### setScrolling

    public final void setScrolling(java.lang.String scrolling)

  Specify whether or not the frame should have scrollbars.

  See Also:
    W3C HTML Specification

### setSrc

    public final void setSrc(java.lang.String src)

  A URI designating the initial frame contents.

  See Also:
    W3C HTML Specification